Announcement

Collapse
No announcement yet.

How I made AirplaySpeak work with AppleTV tvOS 9.2.2 "Device Requirements" block

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • How I made AirplaySpeak work with AppleTV tvOS 9.2.2 "Device Requirements" block

    Even though I figured out how to have HS speak over my Airport Express, I still wasn't able to speak over my 4th gen Apple TV running tvOS 9.2.2(13Y825). Every time I tried, the Apple TV would blur the screen and display:
    Device Requirements
    This AirPlay connection requires iOS 7.1 or later, OS X 10.9.2 or later, or iTunes 11.2 or later.
    While snooping through the Apple TV Settings to find the tvOS version for a "how do I speak over AppleTV?" post, I saw the "Require Device Verification" setting under Settings->Airplay->Require Device Verification. I changed if from on to off and I can now speak over my Apple TV

    I'm not sure if I really need that turned on because I also have a password set, but if it turns out I do need to turn it back on for whatever reason, can AirplaySpeak be updated to work with it? Something as easy as changing the spoofed iTunes user-agent version to 11.2 or later, perhaps?
Working...
X